/*
 * Try to reproduce bug #531123 - nedit statistics line problems
 *
 * http://sourceforge.net/tracker/index.php?func=detail&aid=531123&group_id=8596&atid=108596
 *
 * $Header: /cvsroot/lesstif/lesstif/test/Xm/form/test61.c,v 1.1 2002/07/30 20:12:30 dannybackx Exp $ 
 */

#include <stdlib.h>
#include <stdio.h>

#include <Xm/PushB.h>
#include <Xm/Form.h>
#include <Xm/Label.h>
#include <Xm/List.h>
#include <Xm/MainW.h>
#include <Xm/TextF.h>

#include "../../common/Test.h"

String	defs[] = {
	"*form.background:	blue",
	"*bb.background:	green",
	NULL
};
XtAppContext appcontext;
Widget toplevel, bb, form, a, b;

void disappear(Widget w, XtPointer client, XtPointer call)
{
	/* This makes the widget disappear by unmanaging itself. */
	XtUnmanageChild(a);
	XtVaSetValues(b, XmNtopAttachment, XmATTACH_FORM, NULL);
}

void appear(Widget w, XtPointer client, XtPointer call)
{
	XtVaSetValues(b,
		XmNtopAttachment,	XmATTACH_WIDGET,
		XmNtopWidget,		a,
		NULL);
	XtManageChild(a);
}

int main(int argc, char *argv[])
{

	XtSetLanguageProc(NULL, NULL, NULL);
	toplevel = XtVaAppInitialize(&appcontext, "Test", NULL, 0, &argc, argv,
		defs, NULL);

	bb = XtVaCreateManagedWidget("bb", xmBulletinBoardWidgetClass, toplevel,
		XmNwidth,		400,
		XmNheight,		400,
		XmNresizePolicy,	XmRESIZE_NONE,
		NULL);

/* Create main window */
	form = XtVaCreateManagedWidget("form", xmFormWidgetClass, bb,
		XmNfractionBase,	7,
		XmNwidth,		350,
		XmNheight,		100,
		NULL);

	a = XtVaCreateManagedWidget("a", xmPushButtonWidgetClass, form,
		XmNtopAttachment,	XmATTACH_FORM,
		XmNtopOffset,		10,
		XmNleftAttachment,	XmATTACH_FORM,
		XmNleftOffset,		10,
		XmNrightAttachment,	XmATTACH_NONE,
		XmNwidth,		180,
		XmNbottomAttachment,	XmATTACH_NONE,
		NULL);
	XtAddCallback(a, XmNactivateCallback, disappear, NULL);

	b = XtVaCreateManagedWidget("b", xmPushButtonWidgetClass, form,
		XmNtopAttachment,	XmATTACH_WIDGET,
		XmNtopOffset,		10,
		XmNtopWidget,		a,
		XmNleftAttachment,	XmATTACH_FORM,
		XmNleftWidget,		a,
		XmNleftOffset,		10,
		XmNrightAttachment,	XmATTACH_NONE,
		XmNbottomAttachment,	XmATTACH_NONE,
		NULL);
	XtManageChild(form);
	XtAddCallback(b, XmNactivateCallback, appear, NULL);

	XtRealizeWidget(toplevel);

	LessTifTestWaitForIt(toplevel);
//	LessTifTestPushButton(a);
	LessTifTestMainLoop(toplevel);
#if 0
    {
/* Note: the following values are the result of
 * querying the current geometry.
 */
static XtWidgetGeometry Expected[] = {
   {CWWidth | CWHeight            ,    0,    0,  350,  100, 0,0,0, /* mainwindow */},
   {CWWidth | CWHeight | CWX | CWY,   50,   14,  100,   57, 0,0,0, /* menubar */},
   {CWWidth | CWHeight | CWX | CWY,  200,   14,  100,   57, 0,0,0, /* button_0 */},
};

	PrintDetails(toplevel, Expected);
    }

	/*
	XtAppMainLoop(appcontext);
	*/
	LessTifTestMainLoop(toplevel);
#endif
	return(0);
}
